svn Namespace Reference

## Data Structures

class | AnnotateLine
class | Apr
class | Client
class | ClientException
class | Context
class | ContextListener
class | DateTime
class | DirEntry
class | Entry
class | Exception
class | Info
struct | LogChangePathEntry
struct | LogEntry
class | Path
class | Pool
class | Property
struct | PropertyEntry
class | Revision
class | Status
struct | StatusFilter
class | StatusSel
class | Targets
class | Url
class | Wc

## Typedefs

typedef std::vector< AnnotateLine > | AnnotatedFile
typedef std::vector< DirEntry > | DirEntries
typedef std::vector< Info > | InfoVector
typedef std::vector< LogEntry > | LogEntries
typedef std::vector< Status > | StatusEntries
typedef std::map< std::string, std::string > | PropertiesMap
typedef std::pair< std::string, PropertiesMap > | PathPropertiesMapEntry
typedef std::vector< PathPropertiesMapEntry > | PathPropertiesMapList
typedef std::vector< Path > | PathVector
typedef std::vector< Status > | StatusVector

## Variables

const PathVector | EmptyPathVector

## Detailed Description

SvnCpp namespace.

## Typedef Documentation

typedef std::vector<AnnotateLine> svn::AnnotatedFile

typedef std::vector<DirEntry> svn::DirEntries

typedef std::vector<Info> svn::InfoVector

typedef std::vector<LogEntry> svn::LogEntries

typedef std::pair<std::string, PropertiesMap> svn::PathPropertiesMapEntry

typedef std::vector<PathPropertiesMapEntry> svn::PathPropertiesMapList

typedef std::vector<Path> svn::PathVector

typedef std::map<std::string,std::string> svn::PropertiesMap

typedef std::vector<Status> svn::StatusEntries

typedef std::vector<Status> svn::StatusVector

## Variable Documentation

const PathVector svn::EmptyPathVector